#!/bin/sh

ntfy() {
    bash /opt/scripts/ntfy.sh -s "/etc/ixvd/secrets/ntfy/ixvd-backups" -u "https://push.ixvd.net/ixvd-backups" "$@"
}

ntfy -m "forgetting old backups..." -p 2
if restic \
    -r "/mnt/backups/restic/$(hostname)" \
    -p "/etc/ixvd/secrets/restic/$(hostname).secret" \
    forget \
    --keep-last 10 \
    --keep-tag keep \
    --keep-daily 20 \
    --keep-weekly 20 \
    --keep-monthly 6 \
    --keep-yearly 10; then
    ntfy -m "forget succeeded" -p 1
else
    ntfy -m "forget failed" -e "warning,skull" -p 5
fi
